Link an environment to a project
curl --request PUT \
--url https://api.pipecat.daily.co/v1/agents/{agentName}/parent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parent": "my-bot",
"environmentName": "staging"
}
'import requests
url = "https://api.pipecat.daily.co/v1/agents/{agentName}/parent"
payload = {
"parent": "my-bot",
"environmentName": "staging"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({parent: 'my-bot', environmentName: 'staging'})
};
fetch('https://api.pipecat.daily.co/v1/agents/{agentName}/parent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pipecat.daily.co/v1/agents/{agentName}/parent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'parent' => 'my-bot',
'environmentName' => 'staging'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipecat.daily.co/v1/agents/{agentName}/parent"
payload := strings.NewReader("{\n \"parent\": \"my-bot\",\n \"environmentName\": \"staging\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.pipecat.daily.co/v1/agents/{agentName}/parent")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"parent\": \"my-bot\",\n \"environmentName\": \"staging\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pipecat.daily.co/v1/agents/{agentName}/parent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parent\": \"my-bot\",\n \"environmentName\": \"staging\"\n}"
response = http.request(request)
puts response.read_body{
"serviceName": "my-bot-staging",
"parent": "my-bot",
"environmentName": "staging"
}{
"error": "An agent cannot be an environment of itself",
"code": "400"
}{
"error": "Parent agent 'my-bot' not found",
"code": "404"
}{
"error": "Agent 'my-bot' already has an environment 'staging' ('my-bot-stg').",
"code": "409"
}{
"error": "Internal server error",
"code": "500"
}Link an Environment
PUT /agents//parent links an agent as an environment of a project, and also renames an environment or moves it.
PUT
/
agents
/
{agentName}
/
parent
Link an environment to a project
curl --request PUT \
--url https://api.pipecat.daily.co/v1/agents/{agentName}/parent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parent": "my-bot",
"environmentName": "staging"
}
'import requests
url = "https://api.pipecat.daily.co/v1/agents/{agentName}/parent"
payload = {
"parent": "my-bot",
"environmentName": "staging"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({parent: 'my-bot', environmentName: 'staging'})
};
fetch('https://api.pipecat.daily.co/v1/agents/{agentName}/parent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pipecat.daily.co/v1/agents/{agentName}/parent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'parent' => 'my-bot',
'environmentName' => 'staging'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipecat.daily.co/v1/agents/{agentName}/parent"
payload := strings.NewReader("{\n \"parent\": \"my-bot\",\n \"environmentName\": \"staging\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.pipecat.daily.co/v1/agents/{agentName}/parent")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"parent\": \"my-bot\",\n \"environmentName\": \"staging\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pipecat.daily.co/v1/agents/{agentName}/parent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parent\": \"my-bot\",\n \"environmentName\": \"staging\"\n}"
response = http.request(request)
puts response.read_body{
"serviceName": "my-bot-staging",
"parent": "my-bot",
"environmentName": "staging"
}{
"error": "An agent cannot be an environment of itself",
"code": "400"
}{
"error": "Parent agent 'my-bot' not found",
"code": "404"
}{
"error": "Agent 'my-bot' already has an environment 'staging' ('my-bot-stg').",
"code": "409"
}{
"error": "Internal server error",
"code": "500"
}Authorizations
Authentication requires a Pipecat Cloud Private API token.
Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.
Path Parameters
Name of the agent to link as an environment
Body
application/json
Name of the project the environment belongs to
Its name among the project's environments: two to 50 lowercase letters, digits and dashes, starting and ending with a letter or digit. production is the project itself, and the pr- prefix is reserved for PR previews.
Maximum string length:
50